Fuzzywuzzymit

Latest version: v0.0.2

Safety actively analyzes 642295 Python packages for vulnerabilities to keep your Python projects secure.

Scan your dependencies

Page 4 of 5

0.4.0

------------------

- In extarctBests() and extractOne() use '>=' instead of '>' [Юрий
Пайков]

- Fixed python3 issue with SequenceMatcher import. [Юрий Пайков]

0.3.3

------------------

- Fixed issue 59 - "partial" parameter for `_token_set()` is now
honored. [Юрий Пайков]

- Catch generators without lengths. [Jeremiah Lowin]

- Remove explicit check for lists. [Jeremiah Lowin]

The logic in `process.extract()` should support any Python sequence/iterable. The explicit check for lists is unnecessary and limiting (for example, it forces conversion of generators and other iterable classes to lists).

0.3.2

------------------

- Make release command an executable. [Jose Diaz-Gonzalez]

- Simplify MANIFEST.in. [Jose Diaz-Gonzalez]

- Add a release script. [Jose Diaz-Gonzalez]

- Fix readme codeblock. [Jose Diaz-Gonzalez]

- Minor formatting. [Jose Diaz-Gonzalez]

- Use __version__ from fuzzywuzzy package. [Jose Diaz-Gonzalez]

- Set __version__ constant in __init__.py. [Jose Diaz-Gonzalez]

- Rename LICENSE to LICENSE.txt. [Jose Diaz-Gonzalez]

0.3.0

------------------

- Test dict input to extractOne() [jamesnunn]

- Remove whitespace. [jamesnunn]

- Choices parameter for extract() accepts both dict and list objects.
[jamesnunn]

- Enable automated testing with Python 3.4. [Corey Farwell]

- Fixed typo: lettters -> letters. [Tal Einat]

- Fixing LICENSE and README's license info. [Dallas Gutauckis]

- Proper ordered list. [Jeff Paine]

- Convert README to rst. [Jeff Paine]

- Add requirements.txt per discussion in 44. [Jeff Paine]

- Add LICENSE TO MANIFEST.in. [Jeff Paine]

- Rename tests.py to more common test_fuzzywuzzy.py. [Jeff Paine]

- Add proper MANIFEST template. [Jeff Paine]

- Remove MANIFEST file Not meant to be kept in version control. [Jeff
Paine]

- Remove unused file. [Jeff Paine]

- Pep8. [Jeff Paine]

- Pep8 formatting. [Jeff Paine]

- Pep8 formatting. [Jeff Paine]

- Pep8 indentations. [Jeff Paine]

- Pep8 cleanup. [Jeff Paine]

- Pep8. [Jeff Paine]

- Pep8 cleanup. [Jeff Paine]

- Pep8 cleanup. [Jeff Paine]

- Pep8 import style. [Jeff Paine]

- Pep8 import ordering. [Jeff Paine]

- Pep8 import ordering. [Jeff Paine]

- Remove unused module. [Jeff Paine]

- Pep8 import ordering. [Jeff Paine]

- Remove unused module. [Jeff Paine]

- Pep8 import ordering. [Jeff Paine]

- Remove unused imports. [Jeff Paine]

- Remove unused module. [Jeff Paine]

- Remove import * where present. [Jeff Paine]

- Avoid import * [Jeff Paine]

- Add Travis CI badge. [Jeff Paine]

- Remove python 2.4, 2.5 from Travis (not supported) [Jeff Paine]

- Add python 2.4 and 2.5 to Travis. [Jeff Paine]

- Add all supported python versions to travis. [Jeff Paine]

- Bump minor version number. [Jeff Paine]

- Add classifiers for python versions. [Jeff Paine]

- Added note about python-Levenshtein speedup. Closes 34. [Jose Diaz-
Gonzalez]

- Fixed tests on 2.6. [Grigi]

- Fixed py2.6. [Grigi]

- Force bad_chars to ascii. [Grigi]

- Since importing unicode_literals, u decorator not required on strings
from py2.6 and up. [Grigi]

- Py3 support without 2to3. [Grigi]

- Created: Added .travis.yml. [futoase]

- [enh] Add docstrings to process.py. [Olivier Le Thanh Duong]

Turn the existings comments into docstrings so they can be seen via introspection


- Don't condense multiple punctuation characters to a single whitespace.
this is a behavioral change. [Adam Cohen]

- UQRatio and UWRatio shorthands. [Adam Cohen]

- Version 0.2. [Adam Cohen]

- Unicode/string comparison bug. [Adam Cohen]

- To maintain backwards compatibility, default is to force_ascii as
before. [Adam Cohen]

- Fix merge conflict. [Adam Cohen]

- New process function: extractBests. [Flávio Juvenal]

- More readable reverse sorting. [Flávio Juvenal]

- Further honoring of force_ascii. [Adam Cohen]

- Indentation fix. [Adam Cohen]

- Handle force_ascii in fuzz methods. [Adam Cohen]

- Add back relevant tests. [Adam Cohen]

- Utility method to make things consistent. [Adam Cohen]

- Re-commit asciidammit and add a parameter to full_process to determine
behavior. [Adam Cohen]

- Added a test for non letters/digits replacements. [Tristan Launay]

- ENG-741 fixed benchmark line length. [Laurent Erignoux]

- Fixed Unicode flag for tests. [Tristan Launay]

- ENG-741 commented code removed not erased for review from creator.
[Laurent Erignoux]

- ENG-741 cut long lines in fuzzy wizzy benchmark. [Laurent Erignoux]

- Re-upped the limit on benchmark, now that performance is not an issue
anymore. [Tristan Launay]

- Fixed comment. [Tristan Launay]

- Simplified processing of strings with built-in regex code in python.
Also fixed empty string detection in token_sort_ratio. [Tristan
Launay]

- Proper benchmark display. Introduce methods to explicitly do all the
unicode preprocessing *before* using fuzz lib. [Tristan Launay]

- ENG-741: having a true benchmark, to see when we improve stuff.
[Benjamin Combourieu]

- Unicode support in benchmark.py. [Benjamin Combourieu]

- Added file for processing strings. [Tristan Launay]

- Uniform treatment of strings in Unicode. Non-ASCII chars are now
considered in strings, which allows for matches in Cyrillic, Chinese,
Greek, etc. [Tristan Launay]

- Fixed bug in _token_set. [Michael Edward]

- Removed reference to PR. [Jose Diaz-Gonzalez]

- Sadist build and virtualenv dirs are not part of the project. [Pedro
Rodrigues]

- Fixes https://github.com/seatgeek/fuzzywuzzy/issues/10 and correctly
points to README.textile. [Pedro Rodrigues]

- Info on the pull request. [Pedro Rodrigues]

- Pullstat.us button. [Pedro Rodrigues]

- Fuzzywuzzy really needs better benchmarks. [Pedro Rodrigues]

- Moved tests and benchmarks out of the package. [Pedro Rodrigues]

- Report better ratio()s redundant import try. [Pedro Rodrigues]

- AssertGreater did not exist in python 2.4. [Pedro Rodrigues]

- Remove debug output. [Adam Cohen]

- Looks for python-Levenshtein package, and if present, uses that
instead of difflib. 10x speedup if present. add benchmarks. [Adam
Cohen]

- Add gitignore. [Adam Cohen]

- Fix a bug in WRatio, as well as an issue in full_process, which was
failing on strings with all unicode characters. [Adam Cohen]

- Error in partial_ratio. closes 7. [Adam Cohen]

- Adding some real-life event data for benchmarking. [Adam Cohen]

- Cleaned up utils.py. [Pedro Rodrigues]

- Optimized speed for full_process() [Pedro Rodrigues]

- Speed improvements to asciidammit. [Pedro Rodrigues]

- Removed old versions of validate_string() and remove_ponctuation()
kept from previous commits. [Pedro Rodrigues]

- Issue 6 from github updated license headers to match MIT license.
[Pedro Rodrigues]

- Clean up. [Pedro Rodrigues]

- Changes to utils.validate_string() and benchmarks. [Pedro Rodrigues]

- Some benchmarks to test the changes made to remove_punctuation. [Pedro
Rodrigues]

- Faster remove_punctuation. [Pedro Rodrigues]

- AssertIsNone did not exist in Python 2.4. [Pedro Rodrigues]

- Just adding some simple install instructions for pip. [Chris Dary]

- Check for null/empty strings in QRatio and WRatio. Add tests. Closes
3. [Adam Cohen]

- More README. [Adam Cohen]

- README. [Adam Cohen]

- README. [Adam Cohen]

- Slight change to README. [Adam Cohen]

- Some readme. [Adam Cohen]

- Distutils. [Adam Cohen]

- Change directory structure. [Adam Cohen]

- Initial commit. [Adam Cohen]




!/usr/bin/env bash
set -eo pipefail; [[ $RELEASE_TRACE ]] && set -x

PACKAGE_NAME='fuzzywuzzymit'
INIT_PACKAGE_NAME='fuzzywuzzymit'
PUBLIC="true"

Colors
COLOR_OFF="\033[0m" unsets color to term fg color
RED="\033[0;31m" red
GREEN="\033[0;32m" green
YELLOW="\033[0;33m" yellow
MAGENTA="\033[0;35m" magenta
CYAN="\033[0;36m" cyan

ensure wheel is available
pip install wheel > /dev/null

ensure Pygment is available
pip install Pygments > /dev/null

command -v gitchangelog >/dev/null 2>&1 || {
echo -e "${RED}WARNING: Missing gitchangelog binary, please run: pip install gitchangelog==2.2.0${COLOR_OFF}\n"
exit 1
}

command -v rst-lint > /dev/null || {
echo -e "${RED}WARNING: Missing rst-lint binary, please run: pip install restructuredtext_lint${COLOR_OFF}\n"
exit 1
}

set +e;
python test_fuzzywuzzymit.py &> /dev/null run the tests
if [ ! $? -eq 0 ]; then
echo -e "${RED}WARNING: The tests are failing.${COLOR_OFF}"
exit 1
fi
set -e;

if [[ "$" != "major" ]] && [[ "$" != "minor" ]] && [[ "$" != "patch" ]]; then
echo -e "${RED}WARNING: Invalid release type, must specify 'major', 'minor', or 'patch'${COLOR_OFF}\n"
exit 1
fi

echo -e "\n${GREEN}STARTING RELEASE PROCESS${COLOR_OFF}\n"

set +e;
git status | grep -Eo "working (directory|tree) clean" &> /dev/null
if [ ! $? -eq 0 ]; then working directory is NOT clean
echo -e "${RED}WARNING: You have uncomitted changes, you may have forgotten something${COLOR_OFF}\n"
exit 1
fi
set -e;

echo -e "${YELLOW}--->${COLOR_OFF} Updating local copy"
git pull -q origin master
git fetch --tags > /dev/null

echo -e "${YELLOW}--->${COLOR_OFF} Retrieving release versions"

current_version=$(cat ${INIT_PACKAGE_NAME}/__init__.py |grep '__version__ ='|sed 's/[^0-9.]//g')
major=$(echo $current_version | awk '{split($0,a,"."); print a[1]}')
minor=$(echo $current_version | awk '{split($0,a,"."); print a[2]}')
patch=$(echo $current_version | awk '{split($0,a,"."); print a[3]}')

if [[ "$" == "major" ]]; then
major=$(($major + 1));
minor="0"
patch="0"
elif [[ "$" == "minor" ]]; then
minor=$(($minor + 1));
patch="0"
elif [[ "$" == "patch" ]]; then
patch=$(($patch + 1));
fi

next_version="${major}.${minor}.${patch}"

echo -e "${YELLOW} >${COLOR_OFF} ${MAGENTA}${current_version}${COLOR_OFF} -> ${MAGENTA}${next_version}${COLOR_OFF}"

echo -e "${YELLOW}--->${COLOR_OFF} Ensuring readme passes lint checks (if this fails, run rst-lint)"
rst-lint README.rst > /dev/null

echo -e "${YELLOW}--->${COLOR_OFF} Creating necessary temp file"
tempfoo=$(basename $0)
TMPFILE=$(mktemp /tmp/${tempfoo}.XXXXXX) || {
echo -e "${RED}WARNING: Cannot create temp file using mktemp in /tmp dir ${COLOR_OFF}\n"
exit 1
}

find_this="__version__ = '$current_version'"
replace_with="__version__ = '$next_version'"

echo -e "${YELLOW}--->${COLOR_OFF} Updating ${INIT_PACKAGE_NAME}/__init__.py"
sed "s/$find_this/$replace_with/" ${INIT_PACKAGE_NAME}/__init__.py > $TMPFILE && mv $TMPFILE ${INIT_PACKAGE_NAME}/__init__.py

echo -e "${YELLOW}--->${COLOR_OFF} Updating README.rst"
find_this="${PACKAGE_NAME}.git$current_version"
replace_with="${PACKAGE_NAME}.git$next_version"
sed "s/$find_this/$replace_with/" README.rst > $TMPFILE && mv $TMPFILE README.rst
find_this="${PACKAGE_NAME}==$current_version"
replace_with="${PACKAGE_NAME}==$next_version"
sed "s/$find_this/$replace_with/" README.rst > $TMPFILE && mv $TMPFILE README.rst

if [ -f docs/conf.py ]; then
echo -e "${YELLOW}--->${COLOR_OFF} Updating docs"
find_this="version = '${current_version}'"
replace_with="version = '${next_version}'"
sed "s/$find_this/$replace_with/" docs/conf.py > $TMPFILE && mv $TMPFILE docs/conf.py

find_this="release = '${current_version}'"
replace_with="release = '${next_version}'"
sed "s/$find_this/$replace_with/" docs/conf.py > $TMPFILE && mv $TMPFILE docs/conf.py
fi

echo -e "${YELLOW}--->${COLOR_OFF} Updating CHANGES.rst for new release"
version_header="$next_version ($(date +%F))"
set +e; dashes=$(yes '-'|head -n ${version_header}|tr -d '\n') ; set -e
gitchangelog |sed "4s/.*/$version_header/"|sed "5s/.*/$dashes/" > $TMPFILE && mv $TMPFILE CHANGES.rst

echo -e "${YELLOW}--->${COLOR_OFF} Adding changed files to git"
git add CHANGES.rst README.rst ${INIT_PACKAGE_NAME}/__init__.py
if [ -f docs/conf.py ]; then git add docs/conf.py; fi

echo -e "${YELLOW}--->${COLOR_OFF} Creating release"
git commit -q -m "Release version $next_version"

echo -e "${YELLOW}--->${COLOR_OFF} Tagging release"
git tag -a $next_version -m "Release version $next_version"

echo -e "${YELLOW}--->${COLOR_OFF} Pushing release and tags to github"
git push -q origin master && git push -q --tags

if [[ "$PUBLIC" == "true" ]]; then
echo -e "${YELLOW}--->${COLOR_OFF} Creating python release"
cp README.rst README
python setup.py sdist bdist_wheel upload > /dev/null
rm README
else
echo -e "${YELLOW}--->${COLOR_OFF} Creating local python dist and wheel for manual release"
python setup.py sdist bdist_wheel > /dev/null
fi

echo -e "\n${CYAN}RELEASED VERSION ${next_version}${COLOR_OFF}\n"


Changelog
=========

0.0.2

------------------

- expose fuzzywuzzymit.fuzz.token_sort function

0.0.1

------------------

- expose fuzzywuzzymit.fuzz.token_set function

Page 4 of 5

© 2024 Safety CLI Cybersecurity Inc. All Rights Reserved.